ignite-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Evgenii Zhuravlev <e.zhuravlev...@gmail.com>
Subject Re: Java 9
Date Fri, 13 Oct 2017 08:23:18 GMT
It was just an example. ignite-core module still needs some code changes to
support Java 9.

Evgenii

2017-10-13 10:44 GMT+03:00 Paolo Di Tommaso <paolo.ditommaso@gmail.com>:

> Exactly, I was suggesting the same. Not everybody need the Hadoop module.
> My guess is that with --add-opens ingnite-core should just work.
>
> I've tried up to version 1.9 but it fails when checking the version
> number. It would be nice a quick patch to allows existing apps depending on
> to support Java 9 in "legacy" mode.
>
>
> Best,
> Paolo
>
>
> On Fri, Oct 13, 2017 at 9:34 AM, Alexey Kuznetsov <akuznetsov@apache.org>
> wrote:
>
>> Evgenii,
>>
>> Hadoop is an optional module.
>> How about ignite-core? Could it be started under Java 9?
>>
>> On Fri, Oct 13, 2017 at 2:21 PM, Evgenii Zhuravlev <
>> e.zhuravlev.wk@gmail.com> wrote:
>>
>>> Paolo,
>>>
>>> As most frameworks and platforms, Ignite contains low-level logic, which
>>> was changed in Java 9. For example, in Java 9 application classloader is
>>> not a UrlClassLoader anymore, while in ignite-hadoop we used methods from
>>> UrlClassLoader for implementing class loading logic.
>>>
>>> So, --add-opens and other flags will not help right now, the community
>>> should do some changes in code first.
>>>
>>> Evgenii
>>>
>>>
>> ----
>> Alexey Kuznetsov
>>
>
>

Mime
View raw message